import { aq as CursorSearch, S as SearchReservationsResponse } from './table-reservations-v1-reservation-reservations.universal-Z8xq195Z.js';
export { bb as ActionEvent, as as Aggregation, aF as AggregationData, at as AggregationKindOneOf, aY as AggregationResults, aZ as AggregationResultsResultOneOf, aM as AggregationResultsScalarResult, E as AggregationType, bE as AggregationTypeWithLiterals, b1 as ApplicationError, bn as BaseEventMetadata, b2 as BulkActionMetadata, a_ as BulkArchiveReservationsRequest, B as BulkArchiveReservationsResponse, a$ as BulkArchiveReservationsResult, b3 as BulkUnArchiveReservationsRequest, q as BulkUnArchiveReservationsResponse, b4 as BulkUnArchiveReservationsResult, m as CancelReservationApplicationErrors, k as CancelReservationOptions, ac as CancelReservationRequest, l as CancelReservationResponse, bT as CommonSearchWithEntityContext, g as CreateHeldReservationApplicationErrors, aa as CreateHeldReservationRequest, f as CreateHeldReservationResponse, a as CreateReservationApplicationErrors, C as CreateReservationOptions, a1 as CreateReservationRequest, a2 as CreateReservationResponse, b as CreateReservationValidationErrors, ah as CursorPaging, aj as CursorPagingMetadata, am as CursorQuery, an as CursorQueryPagingMethodOneOf, ar as CursorSearchPagingMethodOneOf, ak as Cursors, aA as DateHistogramAggregation, aU as DateHistogramResult, aW as DateHistogramResults, ae as DeleteReservationRequest, af as DeleteReservationResponse, K as Details, b5 as DomainEvent, b6 as DomainEventBodyOneOf, bc as Empty, b7 as EntityCreatedEvent, ba as EntityDeletedEvent, b9 as EntityUpdatedEvent, bo as EventMetadata, X as ExtendedFields, G as GetReservationOptions, a6 as GetReservationRequest, a7 as GetReservationResponse, aV as GroupByValueResults, bi as HeadersEntry, H as HeldReservationDetails, bl as IdentificationData, bm as IdentificationDataIdOneOf, av as IncludeMissingValuesOptions, I as Interval, bD as IntervalWithLiterals, b0 as ItemMetadata, L as ListReservationsOptions, ag as ListReservationsRequest, n as ListReservationsResponse, bk as MessageEnvelope, Q as MigrationNote, M as MissingValues, bA as MissingValuesWithLiterals, F as Mode, bF as ModeWithLiterals, aD as NestedAggregation, aB as NestedAggregationItem, aC as NestedAggregationItemKindOneOf, aI as NestedAggregationResults, aJ as NestedAggregationResultsResultOneOf, N as NestedAggregationType, bC as NestedAggregationTypeWithLiterals, aR as NestedResultValue, aS as NestedResultValueResultOneOf, aX as NestedResults, aN as NestedValueAggregationResult, bg as PathParametersEntry, P as PaymentStatus, bt as PaymentStatusWithLiterals, bh as QueryParametersEntry, al as QueryReservationsRequest, ao as QueryReservationsResponse, ay as RangeAggregation, aH as RangeAggregationResult, au as RangeBucket, aP as RangeResult, aL as RangeResults, bf as RawHttpRequest, bj as RawHttpResponse, bd as RemoveReservationMigrationNotesRequest, be as RemoveReservationMigrationNotesResponse, R as Reservation, ad as ReservationCanceled, _ as ReservationCreated, r as ReservationCreatedEnvelope, Y as ReservationDelayedDomainEvent, Z as ReservationDelayedDomainEventBodyTypeOneOf, a0 as ReservationDelayedDomainEventReservationCanceled, s as ReservationDeletedEnvelope, a3 as ReservationDetailsConflicts, a5 as ReservationLocationConflict, bq as ReservationSearchSpec, $ as ReservationUpdated, t as ReservationUpdatedEnvelope, o as ReservationsQueryBuilder, bp as ReservationsQueryResult, j as ReserveReservationApplicationErrors, ab as ReserveReservationRequest, i as ReserveReservationResponse, O as ReservedBy, h as Reservee, b8 as RestoreInfo, aT as Results, az as ScalarAggregation, aQ as ScalarResult, D as ScalarType, bB as ScalarTypeWithLiterals, aE as SearchDetails, ap as SearchReservationsRequest, x as Set, bw as SetWithLiterals, A as SortDirection, bz as SortDirectionWithLiterals, y as SortOrder, bx as SortOrderWithLiterals, z as SortType, by as SortTypeWithLiterals, ai as Sorting, v as Source, bs as SourceWithLiterals, u as Status, br as StatusWithLiterals, a4 as TableCombinationConflict, T as TableCombinationConflictType, bu as TableCombinationConflictTypeWithLiterals, V as TableWithReservationConflicts, J as Tables, w as Type, bv as TypeWithLiterals, U as UpdateReservation, d as UpdateReservationApplicationErrors, c as UpdateReservationOptions, a8 as UpdateReservationRequest, a9 as UpdateReservationResponse, e as UpdateReservationValidationErrors, aw as ValueAggregation, ax as ValueAggregationOptionsOneOf, aG as ValueAggregationResult, aO as ValueResult, aK as ValueResults, W as WebhookIdentityType, bG as WebhookIdentityTypeWithLiterals, bU as bulkArchiveReservations, bV as bulkUnArchiveReservations, bP as cancelReservation, bN as createHeldReservation, bK as createReservation, bQ as deleteReservation, bL as getReservation, bR as listReservations, bH as onReservationCreated, bI as onReservationDeleted, bJ as onReservationUpdated, bS as queryReservations, bO as reserveReservation, bM as updateReservation } from './table-reservations-v1-reservation-reservations.universal-Z8xq195Z.js';
import '@wix/sdk-types';

/** @hidden */
type ReservationSearch = {};
/**
 * Use this method to search the fields of the table reservations on a site for a given expression.
 *
 * You can also use this method to perform data aggregations on a site's table reservation fields.
 * For a detailed list of supported operations, see the [Sorting, Filtering, and Search](https://dev.wix.com/docs/rest/api-reference/wix-restaurants/reservations/reservations/sorting-filtering-and-search) article.
 * @param search - Search query.
 * @public
 * @documentationMaturity preview
 * @requiredField search
 * @permissionId TABLE_RESERVATIONS.RESERVATION_READ_FULL
 * @applicableIdentity APP
 * @fqn wix.table_reservations.reservation.v1.ReservationsService.SearchReservations
 */
declare function searchReservations(search: CursorSearch): Promise<SearchReservationsResponse>;

export { CursorSearch, type ReservationSearch, SearchReservationsResponse, searchReservations };
